<?php
/**
 * Copyright © Magento. All rights reserved.
 * See COPYING.txt for license details.
 */
namespace Unit2\NewCustomerTab\Block\Adminhtml\Edit\Tab;

use Magento\Backend\Block\Template;
use Magento\Framework\Registry;
use Magento\Customer\Controller\RegistryConstants;
use Magento\Ui\Component\Layout\Tabs\TabInterface;

class Custom extends Template implements TabInterface
{
    protected $_coreRegistry;

    /**
     * __construct
     *
     * @param  mixed $context
     * @param  mixed $registry
     * @param  mixed $data
     *
     * @return void
     */
    public function __construct(Template\Context $context, Registry $registry, array $data = [])
    {
        $this->_coreRegistry = $registry;
        parent::__construct($context, $data);
    }

    /**
     * getCustomerId
     *
     * @return void
     */
    public function getCustomerId()
    {
        return $this->_coreRegistry->registry(RegistryConstants::CURRENT_CUSTOMER_ID);
    }

    /**
     * getTabLabel
     *
     * @return void
     */
    public function getTabLabel()
    {
        return __('Computer Games Tab');
    }

    /**
     * getTabTitle
     *
     * @return void
     */
    public function getTabTitle()
    {
        return __('Computer Games Tab');
    }

    /**
     * canShowTab
     *
     * @return void
     */
    public function canShowTab()
    {
        if ($this->getCustomerId()) {
            return true;
        }
        return false;
    }

    /**
     * isHidden
     *
     * @return void
     */
    public function isHidden()
    {
        if ($this->getCustomerId()) {
            return false;
        }
        return true;
    }

    /**
     * getTabClass
     *
     * @return void
     */
    public function getTabClass()
    {
        return '';
    }

    /**
     * getTabUrl
     *
     * @return void
     */
    public function getTabUrl()
    {
        return $this->getUrl('custom/*/custom', ['_current' => true]);
    }

    /**
     * isAjaxLoaded
     *
     * @return void
     */
    public function isAjaxLoaded()
    {
        return true;
    }
}
